TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

MapAlist ( alist A, func f )

### Description

<shortdoc> Apply `f' to all entries in alist `A' and return SUCCESS.
`f' is expected to take two arguments, the first one is bound to the key of an alist element, the second one is bound to its association. </shortdoc>

### Examples

A:=Alist([1,"foo"],[2,"bar"],[3,"foobar"]); f:=function(key,val) Print("key is ",key,", val is ",val,"\n"); end; MapAlist(A,f);

### See also

Apply ( func, alist ) -> alist

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack